## libnc-dap 3.5.2

=== win32/Makefile ===

# Setup directories for intermediate files and built components
OBJDIR		= .\objects
SRCDIR		= ..
INSTALLBINDIR	= ..\..\..\bin
INSTALLETCDIR	= ..\..\..\etc
INSTALLLIBDIR	= ..\..\..\lib
INSTALLDLLDIR	= ..\..\..\dll
INSTALLINCDIR	= ..\..\..\include

INCLUDEDIR	= ..\..\..\include

# Setup basic compiler flags for all .obj's
CC		= cl
CFLAGS		= /nologo /MT /W0 /GR /GX /c
#CFLAGS		= /nologo /MTd /Zi /W3 /GR /GX /c	# flags for debugger

# Setup linker flags for libraries and .exe's
LINK		= link
LIBPATH		= /libpath:$(INSTALLLIBDIR)
#LEXEFLAGS	= /DEBUG /subsystem:console $(LIBPATH)	# flags for debugger
#LLIBFLAGS	= -lib					# flags for debugger
LEXEFLAGS	= /nologo /subsystem:console $(LIBPATH)
LLIBFLAGS	= -lib /nologo

DODSLIBS	= libdap++.lib pthreadVCE.lib libxml2.lib libcurl.lib librx.lib libz.lib libxdr.lib
SYSLIBS		= ws2_32.lib advapi32.lib
LINKLIBS	= $(DODSLIBS) $(SYSLIBS)

# Setup compiler flags
STCFLAGS	= /ML				# Single-Threaded Model
MTCFLAGS	= /MT 				# Multi-Threaded Model
MDCFLAGS	= /MD				# Multi-Threaded DLL Model
STDCFLAGS	= /MLd				# Single-Threaded Model, debug version
MTDCFLAGS	= /MTd 				# Multi-Threaded Model, debug version
MDDCFLAGS	= /MDd				# Multi-Thread DLL Model, debug version
CFLAGS		= /nologo /W0 /GR /GX /c

# Setup linker flags for libraries
STLFLAGS	= -lib /nologo -libpath:$(INSTALLLIBDIR)
MTLFLAGS	= -lib /nologo -libpath:$(INSTALLLIBDIR)
MDLFLAGS	= -libpath:$(INSTALLLIBDIR) /dll /def:libnc-dods.def /map /fixed:NO /base:0x07000000
STDLFLAGS	= -lib /nologo -libpath:$(INSTALLLIBDIR)
MTDLFLAGS	= -lib /nologo -libpath:$(INSTALLLIBDIR)
MDDLFLAGS	= -libpath:$(INSTALLLIBDIR) /dll /def:libnc-dods.def /map /debug /fixed:NO /base:0x07000000

# Link libraries for static libraries and dll's
STLIBS		=
MTLIBS		=
MDLIBS		= libdapMD.lib libxml2MD.lib libcurlMD.lib libzMD.lib libxdrMD.lib pthreadVCE.lib
STDLIBS		=
MTDLIBS		=
MDDLIBS		= llibdapMDD.lib ibxml2MDD.lib libcurlMDD.lib libzMDD.lib libxdrMDD.lib pthreadVCE.lib

# Setup linker flags for executables
ESTLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)
EMTLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)
EMDLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)
ESTDLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)
EMTDLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)
EMDDLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)

# Link libraries for exe's
ESTLLIBS	= libdapST.lib libnc-dodsST.lib libxml2ST.lib libcurlST.lib libzST.lib libxdrST.lib
EMTLLIBS	= libdapMT.lib libnc-dodsMT.lib libxml2MT.lib libcurlMT.lib libzMT.lib libxdrMT.lib pthreadVCE.lib
EMDLLIBS	= libdapMD.lib libnc-dodsMD.lib libxml2MD.lib libcurlMD.lib libzMD.lib libxdrMD.lib pthreadVCE.lib
ESTDLLIBS	= libdapSTD.lib libnc-dodsSTD.lib libxml2STD.lib libcurlSTD.lib libzSTD.lib libxdrSTD.lib
EMTDLLIBS	= libdapMTD.lib libnc-dodsMTD.lib libxml2MTD.lib libcurlMTD.lib libzMTD.lib libxdrMTD.lib pthreadVCE.lib
EMDDLLIBS	= libdapMDD.lib libnc-dodsMDD.lib libxml2MDD.lib libcurlMDD.lib libzMDD.lib libxdrMDD.lib pthreadVCE.lib

# Setup compiler includes and defines
INCS		= /I . /I ..\lnetcdf /I ..\fortran /I .. /I $(INCLUDEDIR)\GNU \
		  /I $(INCLUDEDIR) /I $(INCLUDEDIR)\pthreads
DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN /D LOCAL
CPPFLAGS	= $(DEFS) $(INCS)

TARGETS		= $(LIBRARY) $(EXECUTABLE)

# Clear built-in rules and set new ones
.SUFFIXES :
.SUFFIXES :	.obj .c .cc

{$(SRCDIR)\lnetcdf}.c{$(OBJDIR)}.obj:
	@$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tc $<

{$(SRCDIR)\fortran}.c{$(OBJDIR)}.obj:
	@$(CC) $(CFLAGS) $(CPPFLAGS) /D PowerStationFortran /Fo$@ /Tc $<

{$(SRCDIR)\ncdump}.cc{$(OBJDIR)}.obj:
	@$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

{$(SRCDIR)}.cc{$(OBJDIR)}.obj:
	@$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

NCOBJ = $(OBJDIR)\NCArray.obj \
	$(OBJDIR)\NCByte.obj \
	$(OBJDIR)\NCFloat64.obj \
	$(OBJDIR)\NCGrid.obj \
	$(OBJDIR)\NCInt32.obj \
	$(OBJDIR)\NCList.obj \
	$(OBJDIR)\NCSequence.obj \
	$(OBJDIR)\NCStr.obj \
	$(OBJDIR)\NCStructure.obj \
	$(OBJDIR)\NCUrl.obj \
	$(OBJDIR)\NCUInt32.obj \
	$(OBJDIR)\NCUInt16.obj \
	$(OBJDIR)\NCInt16.obj \
	$(OBJDIR)\NCFloat32.obj

NETOBJ = $(OBJDIR)\NCConnect.obj \
	$(OBJDIR)\inst.obj \
	$(NCOBJ)

LIBOBJS = $(NETOBJ) \
	$(OBJDIR)\Ddim.obj \
	$(OBJDIR)\Dattr.obj \
	$(OBJDIR)\Dvar.obj \
	$(OBJDIR)\Dnc.obj \
	$(OBJDIR)\Dputget.obj \
	$(OBJDIR)\Dncx.obj

NCOBJS = $(OBJDIR)\lattr.obj \
	$(OBJDIR)\ldim.obj \
	$(OBJDIR)\lerror.obj \
	$(OBJDIR)\llibvers.obj \
	$(OBJDIR)\lnc.obj \
	$(OBJDIR)\lncio.obj \
	$(OBJDIR)\lncx.obj \
	$(OBJDIR)\lputget.obj \
	$(OBJDIR)\lstring.obj \
	$(OBJDIR)\lv1hpg.obj \
	$(OBJDIR)\lv2i.obj \
	$(OBJDIR)\lvar.obj

FOBJS = $(OBJDIR)\fort-attio.obj \
	$(OBJDIR)\fort-genvar.obj \
	$(OBJDIR)\fort-varaio.obj \
	$(OBJDIR)\fort-control.obj \
	$(OBJDIR)\fort-lib.obj \
	$(OBJDIR)\fort-vario.obj \
	$(OBJDIR)\fort-dim.obj \
	$(OBJDIR)\fort-misc.obj \
	$(OBJDIR)\fort-varmio.obj \
	$(OBJDIR)\fort-genatt.obj \
	$(OBJDIR)\fort-v2compat.obj \
	$(OBJDIR)\fort-varsio.obj \
	$(OBJDIR)\fort-geninq.obj \
	$(OBJDIR)\fort-var1io.obj

EXEOBJS = $(OBJDIR)\ncdump.obj \
	$(OBJDIR)\vardata.obj \
	$(OBJDIR)\dumplib.obj

# Convenience dependancies
libnc-dodsST.lib: $(OBJDIR)\libnc-dodsST.lib
libnc-dodsMT.lib: $(OBJDIR)\libnc-dodsMT.lib
libnc-dodsMD.dll: $(OBJDIR)\libnc-dodsMD.dll
libnc-dodsSTD.lib: $(OBJDIR)\libnc-dodsSTD.lib
libnc-dodsMTD.lib: $(OBJDIR)\libnc-dodsMTD.lib
libnc-dodsMDD.dll: $(OBJDIR)\libnc-dodsMDD.dll

dncdump: $(OBJDIR)\dncdump.exe
	@echo "built dncdump"

# Link the library
$(OBJDIR)\libnc-dodsST.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	@$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 

$(OBJDIR)\libnc-dodsMT.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	@$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 

$(OBJDIR)\libnc-dodsMD.dll: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	@$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS)

$(OBJDIR)\libnc-dodsSTD.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	@$(LINK) $(LFLAGS) /out:$@  $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 

$(OBJDIR)\libnc-dodsMTD.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	@$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 

$(OBJDIR)\libnc-dodsMDD.dll: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	@$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 

$(OBJDIR)\dncdump.exe: $(EXEOBJS)
	@$(LINK) $(LFLAGS) /libpath:$(OBJDIR) /out:$@ $(EXEOBJS) $(LIBS)

# Dods Netcdf Objects
$(OBJDIR)\NCArray.obj		: ..\NCArray.cc
$(OBJDIR)\NCByte.obj		: ..\NCByte.cc
$(OBJDIR)\NCFloat64.obj		: ..\NCFloat64.cc
$(OBJDIR)\NCGrid.obj		: ..\NCGrid.cc
$(OBJDIR)\NCInt32.obj		: ..\NCInt32.cc
$(OBJDIR)\NCList.obj		: ..\NCList.cc
$(OBJDIR)\NCSequence.obj	: ..\NCSequence.cc
$(OBJDIR)\NCStr.obj		: ..\NCStr.cc
$(OBJDIR)\NCStructure.obj	: ..\NCStructure.cc
$(OBJDIR)\NCUrl.obj		: ..\NCUrl.cc
$(OBJDIR)\NCUInt32.obj		: ..\NCUInt32.cc
$(OBJDIR)\NCUInt16.obj		: ..\NCUInt16.cc
$(OBJDIR)\NCInt16.obj		: ..\NCInt16.cc
$(OBJDIR)\NCFloat32.obj		: ..\NCFloat32.cc
$(OBJDIR)\NCConnect.obj		: ..\NCConnect.cc
$(OBJDIR)\inst.obj		: ..\inst.cc
$(OBJDIR)\Ddim.obj		: ..\Ddim.cc
$(OBJDIR)\Dattr.obj		: ..\Dattr.cc
$(OBJDIR)\Dvar.obj		: ..\Dvar.cc
$(OBJDIR)\Dnc.obj		: ..\Dnc.cc
$(OBJDIR)\Dputget.obj		: ..\Dputget.cc
$(OBJDIR)\Dncx.obj		: ..\Dncx.cc

# NetCDF code
$(OBJDIR)\lattr.obj		: ..\lnetcdf\lattr.c
$(OBJDIR)\ldim.obj		: ..\lnetcdf\ldim.c
$(OBJDIR)\lerror.obj		: ..\lnetcdf\lerror.c
$(OBJDIR)\llibvers.obj		: ..\lnetcdf\llibvers.c
$(OBJDIR)\lnc.obj		: ..\lnetcdf\lnc.c
$(OBJDIR)\lncio.obj		: ..\lnetcdf\lncio.c
$(OBJDIR)\lncx.obj		: ..\lnetcdf\lncx.c
$(OBJDIR)\lputget.obj		: ..\lnetcdf\lputget.c
$(OBJDIR)\lstring.obj		: ..\lnetcdf\lstring.c
$(OBJDIR)\lv1hpg.obj		: ..\lnetcdf\lv1hpg.c
$(OBJDIR)\lv2i.obj		: ..\lnetcdf\lv2i.c
$(OBJDIR)\lvar.obj		: ..\lnetcdf\lvar.c

# Fortran wrappers
$(OBJDIR)\fort-attio.obj	: ..\fortran\fort-attio.c
$(OBJDIR)\fort-genvar.obj	: ..\fortran\fort-genvar.c
$(OBJDIR)\fort-varaio.obj	: ..\fortran\fort-varaio.c
$(OBJDIR)\fort-control.obj	: ..\fortran\fort-control.c
$(OBJDIR)\fort-lib.obj		: ..\fortran\fort-lib.c
$(OBJDIR)\fort-vario.obj	: ..\fortran\fort-vario.c
$(OBJDIR)\fort-dim.obj		: ..\fortran\fort-dim.c
$(OBJDIR)\fort-misc.obj		: ..\fortran\fort-misc.c
$(OBJDIR)\fort-varmio.obj	: ..\fortran\fort-varmio.c
$(OBJDIR)\fort-genatt.obj	: ..\fortran\fort-genatt.c
$(OBJDIR)\fort-v2compat.obj	: ..\fortran\fort-v2compat.c
$(OBJDIR)\fort-varsio.obj	: ..\fortran\fort-varsio.c
$(OBJDIR)\fort-geninq.obj	: ..\fortran\fort-geninq.c
$(OBJDIR)\fort-var1io.obj	: ..\fortran\fort-var1io.c

# Objects for dncdump
$(OBJDIR)\ncdump.obj		: ..\ncdump\ncdump.cc
$(OBJDIR)\vardata.obj		: ..\ncdump\vardata.cc
$(OBJDIR)\dumplib.obj		: ..\ncdump\dumplib.cc

# Don't use the built-in "extended DOS" commands with all the
# fancy flags.  Win95/98 systems don't have those so we must
# keep it simple.  Sticking with no-flag versions of copy, mkdir,
# rmdir and del are a safe bet.
setup:
	@-mkdir $(OBJDIR)
	@-mkdir $(INSTALLBINDIR)
	@-mkdir $(INSTALLETCDIR)
	@-mkdir $(INSTALLLIBDIR)
	@-mkdir $(INSTALLDLLDIR)
	@-mkdir $(INSTALLINCDIR)

# Install
install: installST installMT installSTD installMTD
#install: installST installMT installMD installSTD installMTD installMDD
# We use the Multi-threaded versions of executables by default here
	@copy $(OBJDIR)\MT\dncdump.exe $(INSTALLBINDIR)
	@copy ..\lnetcdf\netcdf.h $(INSTALLINCDIR)
	@copy ..\fortran\netcdf.inc $(INSTALLINCDIR)

installST:
	@copy $(OBJDIR)\ST\libnc-dodsST.lib $(INSTALLLIBDIR)

installMT:
	@copy $(OBJDIR)\MT\libnc-dodsMT.lib $(INSTALLLIBDIR)

installMD:
	@copy $(OBJDIR)\MD\libnc-dodsMD.lib $(INSTALLLIBDIR)
	@copy $(OBJDIR)\MD\libnc-dodsMD.dll $(INSTALLDLLDIR)

installSTD:
	@copy $(OBJDIR)\STD\libnc-dodsSTD.lib $(INSTALLLIBDIR)

installMTD:
	@copy $(OBJDIR)\MTD\libnc-dodsMTD.lib $(INSTALLLIBDIR)

installMDD:
	@copy $(OBJDIR)\MDD\libnc-dodsMDD.lib $(INSTALLLIBDIR)
	@copy $(OBJDIR)\MDD\libnc-dodsMDD.dll $(INSTALLDLLDIR)
>>>>>>> 1.2.4.9

clean:
	@-del $(OBJDIR)\*.obj
	@-del $(OBJDIR)\*.lib
	@-rmdir $(OBJDIR)

!INCLUDE "dependancies"

## libnc-dap 3.5.1-1

=== debian/changelog ===
libnc-dap (3.5.1-1) unstable; urgency=low

  * Initial Release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 24 Jul 2005 12:27:30 +0900

=== debian/control ===
Source: libnc-dap
Section: science
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev
Standards-Version: 3.6.1

Package: libnc-dap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdap (>= 3.5.1)
Build-Depends:  libcurl3-dev, libxml2-dev, dejagnu, cppunit
Description: NetCDF Library with OPeNDAP URLs extentions.
 The netCDF Client Library is an alternative implementation of Unidata's netCDF 3.5 API. This version adds the capability to dereference OPeNDAP URLs. You can substitute our version of the library when linking your application and then simply pass an OPeNDAP URL in where you would normally use a file name.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libnc-dap.sgml > libnc-dap.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libnc-dap.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnc-dap


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libnc-dap 3.7.0

=== VCPP/Makefile ===
# Makefile for libnc-dods (under VC++ on win32)

# Setup some preliminary directories
OBJDIR			= .\objects
SRCDIR			= ..
ROOTINSTALLDIR	= ..\..\prepkg
INSTALLLIBDIR	= $(ROOTINSTALLDIR)\lib
INSTALLDLLDIR	= $(ROOTINSTALLDIR)\dll
INSTALLBINDIR	= $(ROOTINSTALLDIR)\bin
INSTALLETCDIR	= $(ROOTINSTALLDIR)\etc
INSTALLINCDIR	= $(ROOTINSTALLDIR)\include

INCLUDEDIR	= $(ROOTINSTALLDIR)\include

# Compiler, Linker
CC		= cl
LINK	= link

# MT = Static Link Multi-Threaded Model
# MD = Dynamic Link Multi-Threaded DLL Model

# Setup compiler flags
MTCFLAGS	= /MT /D HAVE_PTHREAD_H
MDCFLAGS	= /MD /D HAVE_PTHREAD_H
CFLAGS		= /nologo /W0 /GR /EHsc /c

# Setup linker flags for libraries
MTLFLAGS	= -lib /nologo -libpath:$(INSTALLLIBDIR)
MDLFLAGS	= -libpath:$(INSTALLLIBDIR) /dll /def:libnc-dods.def /map /fixed:NO /base:0x07000000 /NODEFAULTLIB:LIBCMT.lib

# Link libraries for libnc-dods
MTLIBS		=
MDLIBS		= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup linker flags for executables
EMTLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR) /NODEFAULTLIB:MSVCRT.lib
EMDLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)

# Link libraries for executables
EMTLLIBS	= libdapclientMT.lib libdapserverMT.lib libdapMT.lib libnc-dodsMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib libgetopt.lib pthreadVC.lib
EMDLLIBS	= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libnc-dodsMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib libgetopt.lib pthreadVC.lib

# Setup compiler includes and defines
INCS		= /I . /I ..\lnetcdf /I ..\fortran /I .. /I $(INCLUDEDIR) /I $(INCLUDEDIR)\GNU
DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN /D LOCAL
CPPFLAGS	= $(DEFS) $(INCS)

usage:
	@echo "usage: nmake all; nmake install"
	@echo "or"
	@echo "usage: nmake model<MT|MD>; nmake installMT|MD|>"

all:	setup modelMT modelMD

modelMT: setup
	@-md $(OBJDIR)\MT
	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(MTLFLAGS)" LIBS="$(MTLIBS)" OBJDIR=$(OBJDIR)\MT libnc-dodsMT.lib
	nmake /NOLOGO installMT

	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT dncdump

modelMD: setup
	@-md $(OBJDIR)\MD
	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(MDLFLAGS)" LIBS="$(MDLIBS)" OBJDIR=$(OBJDIR)\MD libnc-dodsMD.dll
	nmake /NOLOGO installMD

	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD dncdump

# Clear built-in rules and set new ones
.SUFFIXES :
.SUFFIXES :	.obj .c .cc

{$(SRCDIR)\lnetcdf}.c{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tc $<

{$(SRCDIR)\lnetcdf}.cc{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

{$(SRCDIR)\fortran}.c{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /D PowerStationFortran /Fo$@ /Tc $<

{$(SRCDIR)\ncdump}.c{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tc $<

{$(SRCDIR)}.cc{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

LIBOBJS = $(OBJDIR)\NCArray.obj \
	$(OBJDIR)\NCByte.obj \
	$(OBJDIR)\NCFloat64.obj \
	$(OBJDIR)\NCGrid.obj \
	$(OBJDIR)\NCUInt32.obj \
	$(OBJDIR)\NCInt32.obj \
	$(OBJDIR)\NCSequence.obj \
	$(OBJDIR)\NCStr.obj \
	$(OBJDIR)\NCStructure.obj \
	$(OBJDIR)\NCUrl.obj \
	$(OBJDIR)\NCUInt16.obj \
	$(OBJDIR)\NCInt16.obj \
	$(OBJDIR)\NCFloat32.obj \
	$(OBJDIR)\NCAccess.obj \
	$(OBJDIR)\NCTypeFactory.obj \
	$(OBJDIR)\Ddim.obj \
	$(OBJDIR)\Dattr.obj \
	$(OBJDIR)\Dvar.obj \
	$(OBJDIR)\Dnc.obj \
	$(OBJDIR)\Dputget.obj \
	$(OBJDIR)\Dncx.obj \
	$(OBJDIR)\nc_util.obj \
	$(OBJDIR)\ClientParams.obj \
	$(OBJDIR)\NCConnect.obj \
	$(OBJDIR)\Connections.obj

NCOBJS = $(OBJDIR)\lattr.obj \
	$(OBJDIR)\ldim.obj \
	$(OBJDIR)\lerror.obj \
	$(OBJDIR)\llibvers.obj \
	$(OBJDIR)\lnc.obj \
	$(OBJDIR)\lncx.obj \
	$(OBJDIR)\lposixio.obj \
	$(OBJDIR)\lputget.obj \
	$(OBJDIR)\lstring.obj \
	$(OBJDIR)\lv1hpg.obj \
	$(OBJDIR)\lv2i.obj \
	$(OBJDIR)\lvar.obj

FOBJS = $(OBJDIR)\fort-attio.obj \
	$(OBJDIR)\fort-genvar.obj \
	$(OBJDIR)\fort-varaio.obj \
	$(OBJDIR)\fort-control.obj \
	$(OBJDIR)\fort-lib.obj \
	$(OBJDIR)\fort-vario.obj \
	$(OBJDIR)\fort-dim.obj \
	$(OBJDIR)\fort-misc.obj \
	$(OBJDIR)\fort-varmio.obj \
	$(OBJDIR)\fort-genatt.obj \
	$(OBJDIR)\fort-v2compat.obj \
	$(OBJDIR)\fort-varsio.obj \
	$(OBJDIR)\fort-geninq.obj \
	$(OBJDIR)\fort-var1io.obj

EXEOBJS = $(OBJDIR)\ncdump.obj \
	$(OBJDIR)\vardata.obj \
	$(OBJDIR)\dumplib.obj

# Convenience dependancies
libnc-dodsMT.lib: $(OBJDIR)\libnc-dodsMT.lib
libnc-dodsMD.dll: $(OBJDIR)\libnc-dodsMD.dll

dncdump: $(OBJDIR)\dncdump.exe
	@echo "built dncdump"

# Link the library
$(OBJDIR)\libnc-dodsMT.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 

$(OBJDIR)\libnc-dodsMD.dll: $(LIBOBJS) $(NCOBJS) $(FOBJS)
	$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS)

$(OBJDIR)\dncdump.exe: $(EXEOBJS)
	$(LINK) $(LFLAGS) /libpath:$(OBJDIR) /out:$@ $(EXEOBJS) $(LIBS)

# Dods Netcdf Objects
$(OBJDIR)\NCArray.obj		: $(SRCDIR)\NCAccess.cc
$(OBJDIR)\NCByte.obj		: $(SRCDIR)\NCByte.cc
$(OBJDIR)\NCFloat64.obj		: $(SRCDIR)\NCFloat64.cc
$(OBJDIR)\NCGrid.obj		: $(SRCDIR)\NCGrid.cc
$(OBJDIR)\NCUInt32.obj		: $(SRCDIR)\NCUInt32.cc
$(OBJDIR)\NCInt32.obj		: $(SRCDIR)\NCInt32.cc
$(OBJDIR)\NCSequence.obj	: $(SRCDIR)\NCSequence.cc
$(OBJDIR)\NCStr.obj			: $(SRCDIR)\NCStr.cc
$(OBJDIR)\NCStructure.obj	: $(SRCDIR)\NCStructure.cc
$(OBJDIR)\NCUrl.obj			: $(SRCDIR)\NCUrl.cc
$(OBJDIR)\NCUInt16.obj		: $(SRCDIR)\NCUInt16.cc
$(OBJDIR)\NCInt16.obj		: $(SRCDIR)\NCInt16.cc
$(OBJDIR)\NCFloat32.obj		: $(SRCDIR)\NCFloat32.cc
$(OBJDIR)\NCAccess.obj		: $(SRCDIR)\NCAccess.cc
$(OBJDIR)\NCTypeFactory.obj	: $(SRCDIR)\NCTypeFactory.cc
$(OBJDIR)\Ddim.obj			: $(SRCDIR)\Ddim.cc
$(OBJDIR)\Dattr.obj			: $(SRCDIR)\Dattr.cc
$(OBJDIR)\Dvar.obj			: $(SRCDIR)\Dvar.cc
$(OBJDIR)\Dnc.obj			: $(SRCDIR)\Dnc.cc
$(OBJDIR)\Dputget.obj		: $(SRCDIR)\Dputget.cc
$(OBJDIR)\Dncx.obj			: $(SRCDIR)\Dncx.cc
$(OBJDIR)\nc_util.obj		: $(SRCDIR)\nc_util.cc
$(OBJDIR)\ClientParams.obj	: $(SRCDIR)\ClientParams.cc
$(OBJDIR)\NCConnect.obj		: $(SRCDIR)\NCConnect.cc
$(OBJDIR)\Connections.obj	: $(SRCDIR)\Connections.cc

# NetCDF code
$(OBJDIR)\lattr.obj			: $(SRCDIR)\lnetcdf\lattr.c
$(OBJDIR)\ldim.obj			: $(SRCDIR)\lnetcdf\ldim.c
$(OBJDIR)\lerror.obj		: $(SRCDIR)\lnetcdf\lerror.cc
$(OBJDIR)\llibvers.obj		: $(SRCDIR)\lnetcdf\llibvers.c
$(OBJDIR)\lnc.obj			: $(SRCDIR)\lnetcdf\lnc.c
$(OBJDIR)\lncx.obj			: $(SRCDIR)\lnetcdf\lncx.c
$(OBJDIR)\lposixio.obj		: $(SRCDIR)\lnetcdf\lposixio.c
$(OBJDIR)\lputget.obj		: $(SRCDIR)\lnetcdf\lputget.c
$(OBJDIR)\lstring.obj		: $(SRCDIR)\lnetcdf\lstring.c
$(OBJDIR)\lv1hpg.obj		: $(SRCDIR)\lnetcdf\lv1hpg.c
$(OBJDIR)\lv2i.obj			: $(SRCDIR)\lnetcdf\lv2i.c
$(OBJDIR)\lvar.obj			: $(SRCDIR)\lnetcdf\lvar.c

# Fortran wrappers
$(OBJDIR)\fort-attio.obj	: $(SRCDIR)\fortran\fort-attio.c
$(OBJDIR)\fort-genvar.obj	: $(SRCDIR)\fortran\fort-genvar.c
$(OBJDIR)\fort-varaio.obj	: $(SRCDIR)\fortran\fort-varaio.c
$(OBJDIR)\fort-control.obj	: $(SRCDIR)\fortran\fort-control.c
$(OBJDIR)\fort-lib.obj		: $(SRCDIR)\fortran\fort-lib.c
$(OBJDIR)\fort-vario.obj	: $(SRCDIR)\fortran\fort-vario.c
$(OBJDIR)\fort-dim.obj		: $(SRCDIR)\fortran\fort-dim.c
$(OBJDIR)\fort-misc.obj		: $(SRCDIR)\fortran\fort-misc.c
$(OBJDIR)\fort-varmio.obj	: $(SRCDIR)\fortran\fort-varmio.c
$(OBJDIR)\fort-genatt.obj	: $(SRCDIR)\fortran\fort-genatt.c
$(OBJDIR)\fort-v2compat.obj	: $(SRCDIR)\fortran\fort-v2compat.c
$(OBJDIR)\fort-varsio.obj	: $(SRCDIR)\fortran\fort-varsio.c
$(OBJDIR)\fort-geninq.obj	: $(SRCDIR)\fortran\fort-geninq.c
$(OBJDIR)\fort-var1io.obj	: $(SRCDIR)\fortran\fort-var1io.c

# Objects for dncdump
$(OBJDIR)\ncdump.obj		: $(SRCDIR)\ncdump\ncdump.c
$(OBJDIR)\vardata.obj		: $(SRCDIR)\ncdump\vardata.c
$(OBJDIR)\dumplib.obj		: $(SRCDIR)\ncdump\dumplib.c

# Preliminary setup
setup:
	@-mkdir $(OBJDIR)
	@-mkdir $(INSTALLBINDIR)
	@-mkdir $(INSTALLETCDIR)
	@-mkdir $(INSTALLLIBDIR)
	@-mkdir $(INSTALLDLLDIR)
	@-mkdir $(INSTALLINCDIR)

# Install
install: installMT installMD
	copy $(OBJDIR)\MT\dncdump.exe $(INSTALLBINDIR)
	copy ..\lnetcdf\netcdf.h $(INSTALLINCDIR)
	copy ..\fortran\netcdf.inc $(INSTALLINCDIR)

installMT:
	copy $(OBJDIR)\MT\libnc-dodsMT.lib $(INSTALLLIBDIR)

installMD:
	copy $(OBJDIR)\MD\libnc-dodsMD.lib $(INSTALLLIBDIR)
	copy $(OBJDIR)\MD\libnc-dodsMD.dll $(INSTALLDLLDIR)

clean:
	@-rd /Q /S $(OBJDIR)

!INCLUDE "dependancies"

## libnc-dap 3.7.1

=== VCPP/sample/Makefile ===
# Sample Makefile to illustrate how to compile and link with
# libnc-dap (under VC++ 8.x)

OBJDIR		= .\objects
SRCDIR		= .

# Compiler, Linker
CC		= cl
LINK		= link

# Setup compiler flags
MTCFLAGS	= /MT
MDCFLAGS	= /MD
CFLAGS		= /nologo /W0 /GR /EHsc /c

# Setup linker flags
EMTLFLAGS	= /nologo /libpath:..\..\lib /NODEFAULTLIB:MSVCRT.lib
EMDLFLAGS	= /nologo /libpath:..\..\lib

# Setup link libraries
EMTLLIBS	= libnc-dapMT.lib libdapMT.lib libdapclientMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib
EMDLLIBS	= libnc-dapMD.lib libdapMD.lib libdapclientMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup compiler includes and defines
INCS		= /I . /I ..\..\include /I ..\..\include\GNU /I ..\..\include\gl /I ..\..\include\xdr /I ..\..\include\curl /I ..\..\include\pthreads
CPPUNITINCS	= $(INCS) /I $(INCLUDEDIR)/cppunit
DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN
CPPFLAGS	= $(DEFS) $(INCS)

default:
	@echo "usage: nmake model<MT|MD>; nmake all"

all:
	nmake modelMT
	nmake modelMD

modelMT: setup
	-md $(OBJDIR)\MT
	nmake CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT sample

modelMD: setup
	-md $(OBJDIR)\MD
	nmake CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD sample

# Clear built-in rules and set new ones
.SUFFIXES :
.SUFFIXES :	.obj .cc .exe

{$(SRCDIR)}.cc{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

# Rule for linking executables.  See Microsoft's "mt" command for
# embedding external .manifests as necessary.
{$(OBJDIR)}.obj{$(OBJDIR)}.exe:
	$(LINK) $(LFLAGS) /out:$@ $< $(LIBS)

sample:		$(OBJDIR)\sample.exe

$(OBJDIR)\sample.exe: $(OBJDIR)\sample.obj

# Command-Line Client and select utils in console mode
$(OBJDIR)\sample.obj    : $(SRCDIR)\sample.cc
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $(SRCDIR)\sample.cc

setup:
	-mkdir $(OBJDIR)

clean:
	-rmdir /Q /S $(OBJDIR)

## libnc-dap 3.7.2

=== VCPP/Makefile ===
--- 
+++ 
@@ -1,16 +1,41 @@
-# Makefile for libnc-dods (under VC++ on win32)
-
-# Setup some preliminary directories
+# Makefile for libnc-dap (under VC++ on win32)
+
+# Source code, samples, docs and target build areas
 OBJDIR			= .\objects
 SRCDIR			= ..
-ROOTINSTALLDIR	= ..\..\prepkg
-INSTALLLIBDIR	= $(ROOTINSTALLDIR)\lib
-INSTALLDLLDIR	= $(ROOTINSTALLDIR)\dll
-INSTALLBINDIR	= $(ROOTINSTALLDIR)\bin
-INSTALLETCDIR	= $(ROOTINSTALLDIR)\etc
-INSTALLINCDIR	= $(ROOTINSTALLDIR)\include
-
-INCLUDEDIR	= $(ROOTINSTALLDIR)\include
+DOCDIR			= .\doc
+SAMPLEDIR		= .\sample
+
+# This is the prepackaging area.  Contents should never be on the build path.
+# Fill in the VERSION (e.g., "= 3.7.0") to generate a final, version stamped
+# release of the product.
+PRODUCT			= libnc-dap
+VERSION			=
+PKGDIR			= ..\..\prepkg\opendap\$(PRODUCT)$(VERSION)
+PKGLIBDIR		= $(PKGDIR)\lib
+PKGDLLDIR		= $(PKGDIR)\dll
+PKGBINDIR		= $(PKGDIR)\bin
+PKGETCDIR		= $(PKGDIR)\etc
+PKGINCDIR		= $(PKGDIR)\include
+PKGSAMPLEDIR	= $(PKGDIR)\sample
+
+# This is the installation area.  Select directories should be on the build
+# in order to pick up the OPeNDAP Core headers and libraries.
+INSTALLDIR		= ..\..
+INSTALLLIBDIR	= $(INSTALLDIR)\lib
+INSTALLDLLDIR	= $(INSTALLDIR)\dll
+INSTALLBINDIR	= $(INSTALLDIR)\bin
+INSTALLINCDIR	= $(INSTALLDIR)\include
+
+# libnc-dap headers come from the source distribution itself and not
+# from here as headers in the libnc-dap sources are picked up first.
+# This is here to allow the Core headers to be located.
+INCLUDEDIR		= $(INSTALLINCDIR)
+
+# libnc-dap libraries come from libnc-dap build directories themselves
+# and not from here as libraries from the build dirs are picked up first.
+# This is here to allow the Core libraries to be located.
+LIBDIR			= $(INSTALLLIBDIR)
 
 # Compiler, Linker
 CC		= cl
@@ -25,46 +50,47 @@
 CFLAGS		= /nologo /W0 /GR /EHsc /c
 
 # Setup linker flags for libraries
-MTLFLAGS	= -lib /nologo -libpath:$(INSTALLLIBDIR)
-MDLFLAGS	= -libpath:$(INSTALLLIBDIR) /dll /def:libnc-dods.def /map /fixed:NO /base:0x07000000 /NODEFAULTLIB:LIBCMT.lib
-
-# Link libraries for libnc-dods
+MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT -libpath:$(LIBDIR)
+MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD -libpath:$(LIBDIR) /dll /def:libnc-dap.def /map /fixed:NO /base:0x07000000 /NODEFAULTLIB:LIBCMT.lib
+
+# Link libraries for libnc-dap
 MTLIBS		=
 MDLIBS		= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib
 
 # Setup linker flags for executables
-EMTLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR) /NODEFAULTLIB:MSVCRT.lib
-EMDLFLAGS	= /nologo /libpath:$(INSTALLLIBDIR)
+EMTLFLAGS	= /nologo -libpath:$(OBJDIR)\MT -libpath:$(LIBDIR) /NODEFAULTLIB:MSVCRT.lib
+EMDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD -libpath:$(LIBDIR) /NODEFAULTLIB:LIBCMT.lib
 
 # Link libraries for executables
-EMTLLIBS	= libdapclientMT.lib libdapserverMT.lib libdapMT.lib libnc-dodsMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib libgetopt.lib pthreadVC.lib
-EMDLLIBS	= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libnc-dodsMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib libgetopt.lib pthreadVC.lib
+EMTLLIBS	= libdapclientMT.lib libdapserverMT.lib libdapMT.lib libnc-dapMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib libgetopt.lib pthreadVC.lib
+EMDLLIBS	= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libnc-dapMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib libgetopt.lib pthreadVC.lib
 
 # Setup compiler includes and defines
 INCS		= /I . /I ..\lnetcdf /I ..\fortran /I .. /I $(INCLUDEDIR) /I $(INCLUDEDIR)\GNU
-DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN /D LOCAL
+DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN /D LOCAL /D HAVE_CONFIG_H
 CPPFLAGS	= $(DEFS) $(INCS)
 
 usage:
-	@echo "usage: nmake all; nmake install"
-	@echo "or"
-	@echo "usage: nmake model<MT|MD>; nmake installMT|MD|>"
-
-all:	setup modelMT modelMD
-
-modelMT: setup
+	@echo "usage: nmake all; nmake install; nmake package"
+
+all:	modelMT modelMD
+
+modelMT:
 	@-md $(OBJDIR)\MT
-	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(MTLFLAGS)" LIBS="$(MTLIBS)" OBJDIR=$(OBJDIR)\MT libnc-dodsMT.lib
-	nmake /NOLOGO installMT
-
-	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT dncdump
-
-modelMD: setup
+	@echo "Building MT model library for the libnc-dap"
+	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(MTLFLAGS)" LIBS="$(MTLIBS)" OBJDIR=$(OBJDIR)\MT libnc-dapMT.lib
+	@echo "MT model libraries for the Core are complete"
+
+	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT dncdump
+	@echo "MT model library for libnc-dap is complete"
+	
+modelMD:
 	@-md $(OBJDIR)\MD
-	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(MDLFLAGS)" LIBS="$(MDLIBS)" OBJDIR=$(OBJDIR)\MD libnc-dodsMD.dll
-	nmake /NOLOGO installMD
-
-	nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD dncdump
+	@echo "Building MD model library for the libnc-dap"
+	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(MDLFLAGS)" LIBS="$(MDLIBS)" OBJDIR=$(OBJDIR)\MD libnc-dapMD.dll
+
+	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD dncdump
+	@echo "MD model library for libnc-dap is complete"
 
 # Clear built-in rules and set new ones
 .SUFFIXES :
@@ -144,21 +170,35 @@
 	$(OBJDIR)\dumplib.obj
 
 # Convenience dependancies
-libnc-dodsMT.lib: $(OBJDIR)\libnc-dodsMT.lib
-libnc-dodsMD.dll: $(OBJDIR)\libnc-dodsMD.dll
+libnc-dapMT.lib: $(OBJDIR)\libnc-dapMT.lib
+libnc-dapMD.dll: $(OBJDIR)\libnc-dapMD.dll
 
 dncdump: $(OBJDIR)\dncdump.exe
 	@echo "built dncdump"
 
 # Link the library
-$(OBJDIR)\libnc-dodsMT.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
+$(OBJDIR)\libnc-dapMT.lib: $(LIBOBJS) $(NCOBJS) $(FOBJS)
 	$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS) 
 
-$(OBJDIR)\libnc-dodsMD.dll: $(LIBOBJS) $(NCOBJS) $(FOBJS)
-	$(LINK) $(LFLAGS) /out:$@ $(LIBOBJS) $(NCOBJS) $(FOBJS) $(LIBS)
+############################################################################
+# We're not currently using the trick where we build the module export
+# definitions on the fly for this library (see the Core makefile for win32
+# for an example of such a thing).  There are lots of global vars and other
+# issues to contend with here and that makes it at least more difficult.
+# We're going with a libnc-dap.def that was generated by mingw's 'dlltool'
+# and hand edited such that it allows the build of the dll.
+############################################################################
+
+$(OBJDIR)\libnc-dapMD.dll: $(LIBOBJS) $(NCOBJS) $(FOBJS)
+	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS) 
 
 $(OBJDIR)\dncdump.exe: $(EXEOBJS)
 	$(LINK) $(LFLAGS) /libpath:$(OBJDIR) /out:$@ $(EXEOBJS) $(LIBS)
+	
+# Target not for general use.  Requires hand editing of libnc-dap.def.  It's
+# just here for reference.
+libncdap.def:
+	dlltool --export-all-symbols --outputdef libnc-dap.def $(LIBOBJS) $(NCOBJS) $(FOBJS)
 
 # Dods Netcdf Objects
 $(OBJDIR)\NCArray.obj		: $(SRCDIR)\NCAccess.cc
@@ -222,30 +262,56 @@
 $(OBJDIR)\vardata.obj		: $(SRCDIR)\ncdump\vardata.c
 $(OBJDIR)\dumplib.obj		: $(SRCDIR)\ncdump\dumplib.c
 
-# Preliminary setup
-setup:
-	@-mkdir $(OBJDIR)
-	@-mkdir $(INSTALLBINDIR)
-	@-mkdir $(INSTALLETCDIR)
-	@-mkdir $(INSTALLLIBDIR)
-	@-mkdir $(INSTALLDLLDIR)
-	@-mkdir $(INSTALLINCDIR)
-
-# Install
-install: installMT installMD
-	copy $(OBJDIR)\MT\dncdump.exe $(INSTALLBINDIR)
+# The mt command embeds the manifest in the executable
+install: all mkinstdirs
+	copy $(OBJDIR)\MT\libnc-dapMT.lib $(INSTALLLIBDIR)
+
+	copy $(OBJDIR)\MD\libnc-dapMD.dll* $(INSTALLDLLDIR)
+	mt -nologo -manifest $(INSTALLDLLDIR)\libnc-dapMD.dll.manifest -outputresource:$(INSTALLDLLDIR)\libnc-dapMD.dll;2
+	del $(INSTALLDLLDIR)\libnc-dapMD.dll.manifest
+	copy $(OBJDIR)\MD\libnc-dapMD.lib $(INSTALLLIBDIR)
+
+	copy $(OBJDIR)\MD\dncdump.exe* $(INSTALLBINDIR)
+	mt -nologo -manifest $(INSTALLBINDIR)\dncdump.exe.manifest -outputresource:$(INSTALLBINDIR)\dncdump.exe;1
+	del $(INSTALLBINDIR)\dncdump.exe.manifest
+
 	copy ..\lnetcdf\netcdf.h $(INSTALLINCDIR)
 	copy ..\fortran\netcdf.inc $(INSTALLINCDIR)
-
-installMT:
-	copy $(OBJDIR)\MT\libnc-dodsMT.lib $(INSTALLLIBDIR)
-
-installMD:
-	copy $(OBJDIR)\MD\libnc-dodsMD.lib $(INSTALLLIBDIR)
-	copy $(OBJDIR)\MD\libnc-dodsMD.dll $(INSTALLDLLDIR)
+	
+package: all mkpkgdirs document
+	copy $(OBJDIR)\MT\libnc-dapMT.lib $(PKGLIBDIR)
+
+	copy $(OBJDIR)\MD\libnc-dapMD.dll* $(PKGDLLDIR)
+	mt -nologo -manifest $(PKGDLLDIR)\libnc-dapMD.dll.manifest -outputresource:$(PKGDLLDIR)\libnc-dapMD.dll;2
+	del $(PKGDLLDIR)\libnc-dapMD.dll.manifest
+	copy $(OBJDIR)\MD\libnc-dapMD.lib $(PKGLIBDIR)
+
+	copy $(OBJDIR)\MD\dncdump.exe* $(PKGBINDIR)
+	mt -nologo -manifest $(PKGBINDIR)\dncdump.exe.manifest -outputresource:$(PKGBINDIR)\dncdump.exe;1
+	del $(PKGBINDIR)\dncdump.exe.manifest
+
+	copy ..\lnetcdf\netcdf.h $(PKGINCDIR)
+	copy ..\fortran\netcdf.inc $(PKGINCDIR)
+
+mkinstdirs:	
+	@-md $(INSTALLLIBDIR)
+	@-md $(INSTALLBINDIR)
+	@-md $(INSTALLDLLDIR)
+	@-md $(INSTALLINCDIR)
+	
+mkpkgdirs:	
+	@-md $(PKGLIBDIR)
+	@-md $(PKGBINDIR)
+	@-md $(PKGDLLDIR)
+	@-md $(PKGINCDIR)
+
+document:
+	@-md $(PKGSAMPLEDIR)
+	copy $(SAMPLEDIR)\* $(PKGSAMPLEDIR)
+	copy $(DOCDIR)\readme.txt $(PKGDIR)
 
 clean:
-	@-rd /Q /S $(OBJDIR)
+	@-rd /Q /S $(OBJDIR) $(PKGDIR)
 
 !INCLUDE "dependancies"
